﻿//=======================================================================================
//
//  Purpose: Test program for the RovingNetworks RN-42 class.
//
//
//  Copyright (C) 2011 Mark Stevens
//
//  Permission is hereby granted, free of charge, to any person obtaining a copy
//  of this software and associated documentation files (the "Software") to use
//  the Software in a non-commercial environment subject to the following conditions:
//
//  1.  The above copyright notice and this permission notice shall be included in
//      all copies or substantial portions of the Software.
//  2.  The original author shall be acknowledged in any software and documentation
//      including (but not restricted to) books, articles and online posts.
//
//  Use in a commercial environment is subject to the written consent of the author
//  and/or copyright holder.
//
//  The Software, documentation, instructions for use and associated materials
//  are provided "as is" without warranty of any kind express or implied.  The
//  author and copyright holders shall in no way be held liable for any claim
//  or damages arising as a result of the use of the software and/or documentation.
//
//=======================================================================================
using System.Collections;
using System.IO.Ports;
using System.Threading;
using Microsoft.SPOT;

namespace RN42Bluetooth
{
    public class Program
    {
        public static void Main()
        {
            RovingNetworks rn42;

            rn42 = new RovingNetworks(Serial.COM1, BaudRate.Baudrate115200, Parity.None, 8, StopBits.One);
            if (rn42.EnterCommandMode())
            {
                Debug.Print("Success");
                ArrayList result = rn42.SendCommand("D\r\n", 500);
                foreach (string str in result)
                {
                    Debug.Print(str);
                }
                Thread.Sleep(Timeout.Infinite);
            }
            else
            {
                Debug.Print("Oh dear...");
            }
        }
    }
}
